petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscSFWindowGetDataTypes

gets composite local and remote data types for each rank

### Synopsis

    #include "petscsf.h"
    static PetscErrorCode PetscSFWindowGetDataTypes(PetscSF sf,MPI_Datatype unit,const MPI_Datatype **localtypes,const MPI_Datatype **remotetypes)

Not Collective

### Input Arguments

| sf | - star forest
| unit | - data type for each node

### Output Arguments

| localtypes | - types describing part of local leaf buffer referencing each remote rank
| remotetypes | - types describing part of remote root buffer referenced for each remote rank

### See Also

PetscSFSetGraph(), PetscSFView()

Level:developer
Location:src/vec/is/sf/impls/window/sfwindow.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages